Next: Post processing Up: Numerical Procedures Previous: Numerical Procedures Contents

## Boundary Value Problem

Keyword: `bvp`

The numproc bvp takes a matrix (from a bilinear form), a right hand side vector (from a gridfunction), call an iterative solver to compute the solution vector stored in a gridfunction.

Example:

    define bvp np1 -bilinearform=a -linearform=f -solution=u -preconditioner=c

Flags are:

-bilinearform=<name> | bilinear form to provide matrix
-linearform=<name> | linear form to provide right hand side vector
-gridfunction=<name> | gridfunction to store solution
-preconditioner=<name> | preconditioner for iterative solver
-maxsteps=num | maximal number of iterations
-prec=num | relative error reduction
-solver=cg|qmr | choice of iterative solver, default is cg.
-print | print matrix, rhs, and solution to test.out file